1234567891011121314151617181920212223242526272829303132333435363738394041424344454647484950515253545556575859 |
- #!/bin/sh
- # OE Build Environment Setup Script
- #
- # Copyright (C) 2006-2011 Linux Foundation
- #
- # SPDX-License-Identifier: GPL-2.0-or-later
- #
- #
- # Normally this is called as '. ./oe-init-build-env <builddir>'
- #
- # This works in most shells (not dash), but not all of them pass the arguments
- # when being sourced. To workaround the shell limitation use "set <builddir>"
- # prior to sourcing this script.
- #
- if [ -n "$BASH_SOURCE" ]; then
- THIS_SCRIPT=$BASH_SOURCE
- elif [ -n "$ZSH_NAME" ]; then
- THIS_SCRIPT=$0
- else
- THIS_SCRIPT="$(pwd)/oe-init-build-env"
- if [ ! -e "$THIS_SCRIPT" ]; then
- echo "Error: $THIS_SCRIPT doesn't exist!" >&2
- echo "Please run this script in oe-init-build-env's directory." >&2
- exit 1
- fi
- fi
- if [ -n "$BBSERVER" ]; then
- unset BBSERVER
- fi
- if [ -z "$ZSH_NAME" ] && [ "$0" = "$THIS_SCRIPT" ]; then
- echo "Error: This script needs to be sourced. Please run as '. $THIS_SCRIPT'" >&2
- exit 1
- fi
- if [ -z "$OEROOT" ]; then
- OEROOT=$(dirname "$THIS_SCRIPT")
- OEROOT=$(readlink -f "$OEROOT")
- fi
- unset THIS_SCRIPT
- export OEROOT
- . "$OEROOT"/scripts/oe-buildenv-internal &&
- TEMPLATECONF="$TEMPLATECONF" "$OEROOT"/scripts/oe-setup-builddir || {
- unset OEROOT
- return 1
- }
- # Generate an initial configuration for VSCode and the yocto-bitbake plugin.
- if command -v code > /dev/null && [ ! -d "$OEROOT/.vscode" ]; then
- oe-setup-vscode "$OEROOT" "$BUILDDIR"
- fi
- unset OEROOT
- [ -z "$BUILDDIR" ] || cd "$BUILDDIR"
|